petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexGetChart

Return the interval for all mesh points [pStart, pEnd)

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetChart(DM dm, PetscInt *pStart, PetscInt *pEnd)

Not collective

### Input Parameter

mesh -The DMPlex

### Output Parameters

| pStart | - The first mesh point
| pEnd | - The upper bound for mesh points

### See Also

DMPlexCreate(), DMPlexSetChart()

### Level

beginner

### Location

src/dm/impls/plex/plex.c

### Examples

src/dm/label/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages